package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.security.crypto.SHACrypto;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/SHAEncryptAction.class */
public class SHAEncryptAction extends LifeAction {
    private String decryptValue;
    private String encryptValue;

    public String execute(Context context) throws GENEException {
        try {
            String enStr = SHACrypto.encryptSHA((String) context.getDataValue(this.decryptValue));
            context.setDataValue(this.encryptValue, enStr);
            return "0";
        } catch (Exception e) {
            context.printStackTrace();
            throw new TranFailException("EB00053", "密码校验失败!");
        }
    }

    public String getDecryptValue() {
        return this.decryptValue;
    }

    public void setDecryptValue(String decryptValue) {
        this.decryptValue = decryptValue;
    }

    public String getEncryptValue() {
        return this.encryptValue;
    }

    public void setEncryptValue(String encryptValue) {
        this.encryptValue = encryptValue;
    }
}
